%define version	1.1
%define release %mkrel 6

Name: 	 	blogtk
Summary: 	Standalone blog entry poster
Version: 	%{version}
Release: 	%{release}

Source:		http://kent.dl.sourceforge.net/sourceforge/blogtk/%{name}_%{version}.tar.bz2
URL:		http://blogtk.sourceforge.net/
License:	BSD
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick
Requires:	pygtk2.0 
Requires:       pygtk2.0-libglade 
Requires:       gnome-python-gtkhtml2 
Requires:       gnome-python
BuildArch:	noarch

%description
BloGTK is a weblog client that allows you to post to your weblog from Linux
without the need for a separate browser window. BloGTK allows you to connect
with many weblog systems such as Blogger, Movable Type, WordPress, and more.

%prep
%setup -q -n BloGTK-%version
chmod 644 data/* pixmaps/*
chmod 755 src/BloGTK.py



# (Abel) eliminate runtime pygtk warnings
find -type f -name '*.py' -print0 | xargs -r -0 perl -pi -e 's/gtk\.TRUE/True/g; s/gtk\.FALSE/False/g;'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/%name
cp src/* %buildroot/%_datadir/%name
cp pixmaps/* %buildroot/%_datadir/%name
mkdir -p %buildroot/%_datadir/pixmaps
cp data/blogtk-icon.png %buildroot/%_datadir/pixmaps
mkdir -p %buildroot/%_datadir/applications
cp data/blogtk.desktop %buildroot/%_datadir/applications/
mkdir -p %buildroot/%_bindir
ln -s %_datadir/%name/BloGTK.py %buildroot/%_bindir/%name

perl -pi -e "s|Exec=BloGTK|Exec=blogtk|" %buildroot/%_datadir/applications/blogtk.desktop


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --add-category="Network" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 data/%name-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 data/%name-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 data/%name-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
		
%postun

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat May 12 2007 Texstar <texstar@gmail.com> 1.1-6pclos2006
- fix menu executable

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 1.1-5pclos2007
- Build for PCLinuxOS 2007

